package org.objectweb.jonas.jtests.beans.relation.lcp;

public class SIMPLEPARENTException extends Exception {

    // Variables
    public static final int SYSTEM_EXCEPTION = 1;
    public static final int APPLICATION_EXCEPTION = 2;
    private  int exception_level = 1;

    public SIMPLEPARENTException() {
        super();
    }

    public SIMPLEPARENTException(String e) {
        super(e);
    }

    public SIMPLEPARENTException(int ex_level) {
        super();
        exception_level = ex_level;
    }

    public SIMPLEPARENTException(String e, int ex_level) {
        super(e);
        exception_level = ex_level;
    }

    // Methods
    public int getExceptionLevel() {
        return exception_level;
    }

}
